%global drupaldir %{_datadir}/drupal7
%global alphabeta alpha
%global prerelease 4

Name:    drupal7-feeds
Version: 2.0
Release: 0.1.%{alphabeta}%{prerelease}%{?dist}
Summary: An import and aggregation framework for Drupal

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/feeds
Source0: http://ftp.drupal.org/files/projects/feeds-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-ctools >= 1.0-0.1.alpha4
Requires:  drupal7-job_scheduler >= 2.0-0.1.alpha2

%description
Import or aggregate data as nodes, users,
taxonomy terms or simple database records.

%prep

%setup -qn feeds

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/feeds
cp -pr * %{buildroot}%{drupaldir}/modules/feeds

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/feeds
%exclude %{drupaldir}/modules/feeds/*.txt

%changelog
* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.1.alpha4
- Initial packaging
